using APT.BaseData.Domain.Entities.FM;
using APT.BaseData.Domain.Enums;
using APT.BaseData.Domain.Enums.PF;
using APT.Infrastructure.Core;
using APT.MS.Domain.Entities.BS;
using APT.MS.Domain.Entities.HM;
using APT.MS.Domain.Enums;
using APT.MS.Domain.Enums.SK;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.SK
{
    [Description("手动隐患上报表")]
    [DataRuleField("APPLY_DEPARTMENT_ID")]
    public class T_SK_HIDDEN_DANGER_HAND_REPORT : MesEntityBase
    {
        [Description("发起人")]
        [DataFieldForeignKey("Nav_ApplyUser")]
        public Guid? APPLY_USER_ID { get; set; }

        [Description("导航属性：发起人")]
        public virtual T_FM_USER Nav_ApplyUser { get; set; }

        [Description("发起部门")]
        [DataFieldForeignKey("Nav_ApplyDepartment")]
        public Guid? APPLY_DEPARTMENT_ID { get; set; }

        [Description("导航属性：发起部门")]
        public virtual T_FM_DEPARTMENT Nav_ApplyDepartment { get; set; }

        /// <summary>
        /// 生产单元
        /// </summary>
        [Description("生产单元")]
        [EnumName("SKProductionUnit")]
        public SKProductionUnit MineType { get; set; }

        [Description("生产单元")]
        [DataFieldForeignKey("Nav_ProductionUnit")]
        public Guid? PRODUCTION_UNIT_ID { get; set; }
        [Description("导航属性：生产单元")]
        public T_FM_USER_PRODUCTION_UNIT_SET Nav_ProductionUnit { get; set; }

        /// <summary>
        /// 检查区域
        /// </summary>
        [Description("检查区域")]
        [DataFieldForeignKey("Nav_RiskArea")]
        [FormFieldEdit]
        public Guid? RISK_AREA_ID { get; set; }

        /// <summary>
        /// 导航：检查区域
        /// </summary>
        [Description("导航：检查区域")]
        public virtual T_SK_RISK_AREA Nav_RiskArea { get; set; }
        /// <summary>
        /// 隐患地点
        /// </summary>
        [Description("隐患地点")]
        public string HIDDEN_PLACE { get; set; }

        /// <summary>
        /// 隐患描述
        /// </summary>
        [Description("隐患描述")]
        public string HIDDEN_DESCRIPTION { get; set; }

        /// <summary>
        /// 导航属性：隐患照片
        /// </summary>
        [Description("导航：隐患照片")]
        public virtual ICollection<T_SK_HIDDEN_DANGER_HAND_REPORT_FILE> Nav_ReportFiles { get; set; }

        [Description("状态")]
        [EnumName("PFStandardStatus")]
        public PFStandardStatus STATUS { get; set; }

        [Description("是否发布")]
        [DataFieldIngore]
        public string PUBLISH { get; set; }

        [Description("发起人部门")]
        [DataFieldLength(50)]
        public string ApplyDepartmentName { get; set; }
        [DataFieldLength(50)]
        [Description("发起人岗位")]
        public string ApplyPostName { get; set; }

        [Description("编号")]
        [DataFieldLength(50)]
        public string NOTICE_CODE { get; set; }
    }
}
